Package org.jacoco.report.check

## Class Limit

- java.lang.Object
- - org.jacoco.report.check.Limit

    public class Limit
    extends java.lang.Object

Descriptor for a limit which is given by a `Rule`.

### Constructor Summary

Constructors
`Limit()` Creates a new instance with the following defaults: counter entity: `ICoverageNode.CounterEntity.INSTRUCTION` counter value: `ICounter.CounterValue.COVEREDRATIO` minimum: no limit maximum: no limit

### Method Summary

All Methods Instance Methods Concrete Methods
`ICoverageNode.CounterEntity` `getEntity()`
`java.lang.String` `getMaximum()`
`java.lang.String` `getMinimum()`
`ICounter.CounterValue` `getValue()`
`void` `setCounter​(java.lang.String entity)` Sets the counter entity to check.
`void` `setMaximum​(java.lang.String maximum)` Sets allowed maximum value as decimal string or percent representation.
`void` `setMinimum​(java.lang.String minimum)` Sets allowed maximum value as decimal string or percent representation.
`void` `setValue​(java.lang.String value)` Sets the value to check.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Limit

    public Limit()

Creates a new instance with the following defaults:

- counter entity: `ICoverageNode.CounterEntity.INSTRUCTION`
- counter value: `ICounter.CounterValue.COVEREDRATIO`
- minimum: no limit
- maximum: no limit

### Method Detail

#### getEntity

    public ICoverageNode.CounterEntity getEntity()

Returns:
  the configured counter entity to check

#### setCounter

    public void setCounter​(java.lang.String entity)

Sets the counter entity to check.

Parameters:
  `entity` - counter entity to check TODO: use CounterEntity directly once Maven 3 is required.

#### getValue

    public ICounter.CounterValue getValue()

Returns:
  the configured value to check

#### setValue

    public void setValue​(java.lang.String value)

Sets the value to check.

Parameters:
  `value` - value to check TODO: use CounterValue directly once Maven 3 is required.

#### getMinimum

    public java.lang.String getMinimum()

Returns:
  configured minimum value, or `null` if no minimum is given

#### setMinimum

    public void setMinimum​(java.lang.String minimum)

Sets allowed maximum value as decimal string or percent representation. The given precision is also considered in error messages. Coverage ratios are given in the range from 0.0 to 1.0.

Parameters:
  `minimum` - allowed minimum or `null`, if no minimum should be checked

#### getMaximum

    public java.lang.String getMaximum()

Returns:
  configured maximum value, or `null` if no maximum is given

#### setMaximum

    public void setMaximum​(java.lang.String maximum)

Sets allowed maximum value as decimal string or percent representation. The given precision is also considered in error messages. Coverage ratios are given in the range from 0.0 to 1.0.

Parameters:
  `maximum` - allowed maximum or `null`, if no maximum should be checked